Page Summary
-
This method retrieves a list of placements, with optional filtering and support for paging.
-
The HTTP request uses a GET method with a URL containing a user profile ID.
-
The request uses path parameters for the profile ID and offers numerous query parameters for filtering the placements.
-
The request body must be empty, and the successful response body includes a list of placements, a kind identifier, and a pagination token.
-
The method requires the
https://www.googleapis.com/auth/dfatraffickingOAuth scope for authorization.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Retrieves a list of placements, possibly filtered. This method supports paging.
HTTP request
GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/placements
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
profileId |
User profile ID associated with this request. |
Query parameters
| Parameters | |
|---|---|
ids[] |
Select only placements with these IDs. |
advertiserIds[] |
Select only placements that belong to these advertisers. |
campaignIds[] |
Select only placements that belong to these campaigns. |
siteIds[] |
Select only placements that are associated with these sites. |
directorySiteIds[] |
Select only placements that are associated with these directory sites. |
placementStrategyIds[] |
Select only placements that are associated with these placement strategies. |
contentCategoryIds[] |
Select only placements that are associated with these content categories. |
compatibilities[] |
Select only placements that are associated with these compatibilities. |
sizeIds[] |
Select only placements that are associated with these sizes. |
pricingTypes[] |
Select only placements with these pricing types. |
groupIds[] |
Select only placements that belong to these placement groups. |
paymentSource |
Select only placements with this payment source. |
searchString |
Allows searching for placements by name or ID. Wildcards ( |
maxEndDate |
Select only placements or placement groups whose end date is on or before the specified |
maxResults |
Maximum number of results to return. |
activeStatus[] |
Select only placements with these active statuses. |
maxStartDate |
Select only placements or placement groups whose start date is on or before the specified |
minEndDate |
Select only placements or placement groups whose end date is on or after the specified |
minStartDate |
Select only placements or placement groups whose start date is on or after the specified |
pageToken |
Value of the |
sortField |
Field by which to sort the list. |
sortOrder |
Order of sorted results. |
Request body
The request body must be empty.
Response body
Placement placements.list Response
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"kind": string,
"nextPageToken": string,
"placements": [
{
object ( |
| Fields | |
|---|---|
kind |
Identifies what kind of resource this is. Value: the fixed string |
nextPageToken |
Pagination token to be used for the next list operation. |
placements[] |
Placement collection. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/dfatrafficking